Package net.shibboleth.idp.plugin.authn.webauthn.admin.policy

# Enum Class AuthenticatorPolicy.AuthenticatorPolicyOutcome

java.lang.Object
java.lang.Enum<AuthenticatorPolicy.AuthenticatorPolicyOutcome>
net.shibboleth.idp.plugin.authn.webauthn.admin.policy.AuthenticatorPolicy.AuthenticatorPolicyOutcome

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthenticatorPolicy.AuthenticatorPolicyOutcome>`, `Constable`

Enclosing interface:
  AuthenticatorPolicy

public static enum AuthenticatorPolicy.AuthenticatorPolicyOutcome extends Enum<AuthenticatorPolicy.AuthenticatorPolicyOutcome>
Representation of the three outcomes of an AuthenticatorPolicy.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACCEPT`
Accept the authenticator.
`IGNORE`
The policy was not active and should be ignored.
`REJECT`
Reject the authenticator.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`AuthenticatorPolicyOutcome()`

## Method Summary

Modifier and Type
Method
Description
`static AuthenticatorPolicy.AuthenticatorPolicyOutcome`
`of(boolean outcome)`
Helper method to create an `AuthenticatorPolicy.AuthenticatorPolicyOutcome` from a boolean flag.
`static AuthenticatorPolicy.AuthenticatorPolicyOutcome`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AuthenticatorPolicy.AuthenticatorPolicyOutcome[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ACCEPT

public static final AuthenticatorPolicy.AuthenticatorPolicyOutcome ACCEPT
Accept the authenticator.

### REJECT

public static final AuthenticatorPolicy.AuthenticatorPolicyOutcome REJECT
Reject the authenticator.

### IGNORE

public static final AuthenticatorPolicy.AuthenticatorPolicyOutcome IGNORE
The policy was not active and should be ignored.

## Constructor Details

### AuthenticatorPolicyOutcome

private AuthenticatorPolicyOutcome()

## Method Details

### values

public static AuthenticatorPolicy.AuthenticatorPolicyOutcome[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AuthenticatorPolicy.AuthenticatorPolicyOutcome valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### of

@Nonnull public static AuthenticatorPolicy.AuthenticatorPolicyOutcome of(boolean outcome)
Helper method to create an `AuthenticatorPolicy.AuthenticatorPolicyOutcome` from a boolean flag.

Parameters:
  `outcome` - the outcome created from the boolean
Returns:
  the outcome associated with the boolean